Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# KJSEmbed::JSBuiltIn Class Reference

Container class for the built-in objects of KJSEmbed. More...

`#include <jsbuiltin.h>`

List of all members.

## Public Methods

| JSBuiltIn (KJSEmbedPart *part)
| ~JSBuiltIn ()
void | add (KJS::ExecState *exec, KJS::Object &parent)
void | addGlobals (KJS::ExecState *exec, KJS::Object &parent)
KJS::Object | builtinFactory () const
KJS::Object | builtinSystem () const
KJS::Object | builtinStdDialog () const
KJS::Object | builtinStdAction () const
KJS::Object | builtinConfig () const
KJS::Object | builtinStdDirs () const
KJS::Object | builtinStdIcons () const
KJSEmbedPart * | part () const

## Detailed Description

Container class for the built-in objects of KJSEmbed.

Author:
  Richard Moore, rich@kde.org

## Constructor & Destructor Documentation

KJSEmbed::JSBuiltIn::JSBuiltIn | ( | KJSEmbedPart * | part | ) |

| Create builtin objects for the specified KJSEmbedPart.

KJSEmbed::JSBuiltIn::~JSBuiltIn | ( |  | ) |

| Cleans up.

## Member Function Documentation

void KJSEmbed::JSBuiltIn::add | ( | KJS::ExecState * | exec,
|  | KJS::Object & | parent
| ) |

void KJSEmbed::JSBuiltIn::addGlobals | ( | KJS::ExecState * | exec,
|  | KJS::Object & | parent
| ) |

| Adds the global functions to the specified parent object.

KJS::Object KJSEmbed::JSBuiltIn::builtinConfig | ( |  | ) | const`[inline]`

| Returns the builtin main config object.

KJS::Object KJSEmbed::JSBuiltIn::builtinFactory | ( |  | ) | const`[inline]`

| Returns the builtin Factory object.

KJS::Object KJSEmbed::JSBuiltIn::builtinStdAction | ( |  | ) | const`[inline]`

| Returns the builtin StdAction object.

KJS::Object KJSEmbed::JSBuiltIn::builtinStdDialog | ( |  | ) | const`[inline]`

| Returns the builtin StdDialog object.

KJS::Object KJSEmbed::JSBuiltIn::builtinStdDirs | ( |  | ) | const`[inline]`

| Returns the builtin standard directories object.

KJS::Object KJSEmbed::JSBuiltIn::builtinStdIcons | ( |  | ) | const`[inline]`

| Returns the builtin icon loader object.

KJS::Object KJSEmbed::JSBuiltIn::builtinSystem | ( |  | ) | const`[inline]`

| Returns the builtin System object.

KJSEmbedPart* KJSEmbed::JSBuiltIn::part | ( |  | ) | const`[inline]`

| Returns the part the builtins are using.

The documentation for this class was generated from the following file:

- jsbuiltin.h